lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Matheis <matheis.ste...@gmail.com>
Subject Re: Solr 7.0.0 -- can it use a 6.5.0 data repository (index)
Date Wed, 27 Sep 2017 18:31:42 GMT
That sounds like https://issues.apache.org/jira/browse/SOLR-11406 if i'm
not mistaken?

-Stefan

On Sep 27, 2017 8:20 PM, "Wayne L. Johnson" <wjohnson@familysearch.org>
wrote:

> I’m testing Solr 7.0.0.  When I start with an empty index, Solr comes up
> just fine, I can add documents and query documents.  However when I start
> with an already-populated set of documents (from 6.5.0), Solr will not
> start.  The relevant portion of the traceback seems to be:
>
> Caused by: java.lang.NullPointerException
>
>         at java.util.Objects.requireNonNull(Objects.java:203)
>
>             …
>
>         at java.util.stream.ReferencePipeline.reduce(
> ReferencePipeline.java:479)
>
>         at org.apache.solr.index.SlowCompositeReaderWrapper.<init>(
> SlowCompositeReaderWrapper.java:76)
>
>         at org.apache.solr.index.SlowCompositeReaderWrapper.wrap(
> SlowCompositeReaderWrapper.java:57)
>
>         at org.apache.solr.search.SolrIndexSearcher.<init>(
> SolrIndexSearcher.java:252)
>
>         at org.apache.solr.core.SolrCore.openNewSearcher(SolrCore.java:
> 2034)
>
>         ... 12 more
>
>
>
> In looking at the de-compiled code (SlowCompositeReaderWrapper), lines
> 72-77, and it appears that one or more “leaf” files doesn’t have a
> “min-version” set.  That’s a guess.  If so, does this mean Solr 7.0.0 can’t
> read a 6.5.0 index?
>
>
>
> Thanks
>
>
>
> Wayne Johnson
>
> 801-240-4024
>
> wjohnson000@ldschurch.org
>
> [image: familysearch2.JPG]
>
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message